| Home | Libraries | People | FAQ | More

##### basic_socket::set_option (1 of 2 overloads)

Set an option on the socket.

    template<
        typename SettableSocketOption>
    void set_option(
        const SettableSocketOption & option);

This function is used to set an option on the socket.

###### Parameters

option

  The new option value to be set on the socket.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

Setting the IPPROTO_TCP/TCP_NODELAY option:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::asio::ip::tcp::no_delay option(true);
    socket.set_option(option);